package com.pj.project.app_role;

import java.util.List;
import com.pj.utils.so.SoMap;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.baomidou.mybatisplus.extension.service.IService;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import org.springframework.transaction.annotation.Transactional;
import com.pj.utils.sg.*;

/**
 * Service: app_role -- 
 * @author qzy 
 */
@Service
@Transactional(rollbackFor = Exception.class)
public class AppRoleService extends ServiceImpl<AppRoleMapper, AppRole> implements IService<AppRole>{

	/** 底层 Mapper 对象 */
	@Autowired
	AppRoleMapper appRoleMapper;

	/** 增 */
	void add(AppRole a){
		save(a);
	}

	/** 删 */
	void delete(Long id){
		removeById(id);
	}

	/** 改 */
	void update(AppRole a){
		updateById(a);

	}

	/** 查 */
	AppRole getById(Long id){
		return super.getById(id);
	}

	/** 查集合 - 根据条件（参数为空时代表忽略指定条件） */  
	List<AppRole> getList(SoMap so) { 
		return appRoleMapper.getList(so);	
	}
	

}
